
/* Creación de variables para reciclar colores */
:root{
  --background: #1a1a1a;
  --text-color: whitesmoke;
  --auxiliar-color: #2e2e2e;

}

/* Cuerpo principal de la pagina */
body {
    background-color: var(--background);
    font-family: "Inter", sans-serif; /* La fuente se importa desde el html */
    font-optical-sizing: auto;
    font-weight: 300;
    font-style: normal;
    text-align: left;
    color: var(--text-color);
}

/* Título */
h1 {
    font-size: 48px;
    margin-bottom: 0px;
    font-weight: normal;
}

/* Subtítulo */
h2{
    Font-weight: normal;
    margin-top: 0px; 
}

/* Labels */
h3{
    Font-weight: normal;
    margin-top: 0px; 
}

/* Gráfico */
canvas {
    margin-top: 10px;
}

/* Widgets principales, controles y gráfico: los ordena a la izquierda y derecha */
.container{
  display: flex;
  flex-direction: row;
  align-items: flex-start;
  justify-content: left;
  gap: 40px;
  margin-top: 20px;
}

/* Contenedor de los controles (cinemática normal y botones de posición)*/
.controls {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  margin-bottom: 5px;
}

/* Contenedor de los controles de cinemática inversa, medidas y end effector*/
.controlsTwo{
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  margin-top: 0px;
}

/* Estilo base de los inputs numéricos */
input[type="number"] {
  color: var(--text-color);
  width: 60px;
  padding: 5px;
  margin-left: 10px;
  background: var(--auxiliar-color);
  border: 2px solid var(--auxiliar-color);
  border-radius: 5px;
  text-align: center;
  font-size: 16px;
}
  
input[type="range"], input[type="number"] {
    margin: 5px;
}

/* Estilo base de los botones */
.button{
  padding: 10px 20px;
  border: none;
  border-radius: 10px;
  font-weight: bold;
  cursor: pointer;
  font-size: 16px;
  margin-bottom: 10px;
}

/* Apariencia y comportamiento del toggle */
.ik-button {
  padding: 10px 20px;
  border: none;
  border-radius: 10px;
  font-weight: bold;
  cursor: pointer;
  background-color: var(--auxiliar-color);
  color: var(--text-color);
  font-size: 16px;
  transition: 0.5s;
}

/* Apariencia y comportamiento del toggle */
.ik-button.active {
  background-color: var(--text-color);
  color: black;
}

/* Apariencia y comportamiento del toggle */
.ik-button:hover {
  background-color: var(--text-color);
  color: black
}

/* Apariencia y comportamiento del toggle */
.ik-toggle {
  display: flex;
  gap: 10px;
  margin: 5px 0;
}

/* Boton */
.submit{
  background-color:rgb(21, 117, 4);
  color: whitesmoke;
}

/* Boton */
.position{
    background-color: #ffffff;
    color: rgb(0, 0, 0);
}

/* Boton */
.Reset {
    background-color: #fe1d0d;
    color: white;
}

/* Boton */
.clock{
    color: black;
    margin-bottom: 10px;
}
 
/* Estilo base de todos los sliders */
input[type="range"].slider {
    -webkit-appearance: none;
    width: 300px;
    height: 10px;
    border-radius: 5px;
    outline: none;
    margin: 5px;
}

/* Thumb de los sliders */
input[type="range"].slider::-webkit-slider-thumb {
    -webkit-appearance: none;
    width: 20px;
    height: 20px;
    border-radius: 50%;
    border: 2px solid var(--auxiliar-color);
    cursor: pointer;
}

/* Colores de los sliders */
input[type="range"].red::-webkit-slider-thumb {
    background: red;
}

/* Colores de los sliders */
input[type="range"].green::-webkit-slider-thumb {
    background: lime;
}

/* Colores de los sliders */
input[type="range"].blue::-webkit-slider-thumb {
  background: rgb(30, 30, 255);
}

/* Fondo de los sliders */
input[type="range"]{
    background: var(--auxiliar-color);
}

/* Texto de las medidas del brazo */
.arm-measures {
    display: flex;
    flex-direction: row;
    gap: 20px;
    margin-top: 10px;
}

/* Texto de las medidas del brazo */
.arm-measures p {
    margin: 0;
} 